tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Petter Karlström <pet...@dsv.su.se>
Subject Re: xsl and 4.1.27
Date Fri, 12 Sep 2003 10:07:53 GMT
Hi,

The problem quoted below is still driving me up the walls!

Now, I've also tried installing the taglibs in  /common/lib/ (instead of 
the app's lib) and fixed some presumably unrelated differences between 
the server.xml files.

Am I the only one to have this problem?

I want to try installing version 4.1.12 on my Windows machine, but I 
fail to find any old versions for download. Anyone know where I can find 
one?


Petter Karlström wrote:

> Hi all,
> 
> I'm trying to get a simple <x:transform> to work after moving to a new 
> version of Tomcat. The old version was 4.1.12 and the new one is 4.1.27.
> 
> The JSTL .jars are installed in my application's /WEB-INF/lib/ I've 
> tried version 1.0.3 of the taglibs as well as older ones with the new 
> tomcat.
> 
> Here's a code snippet:
> 
> <%@ taglib prefix="x" uri="http://java.sun.com/jstl/xml" %>
> <%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
> 
> <c:import url="test.xml" var="xmlfile" />
> <c:import url="test.xsl" var="stylesheet" />
> 
> <x:transform xslt="${stylesheet}" xml="${xmlfile}" />
> 
> 
> This works fine on my 4.1.12 on Solaris. However, 4.1.27 on Windows and 
> Linux generates
> org.apache.jasper.JasperException: The output format must have a 
> '{http://xml.apache.org/xalan}content-handler' property!
> 
> Any clues?
> 
> /Petter Karlstrom
> 



Mime
View raw message